Start Interview
curl --request POST \
--url https://api.ontora.com/v1/interviews/{interview_id}/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"interview": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"status": "<string>",
"channel": "<string>",
"completion_threshold": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "<string>",
"interview_duration_minutes": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"success_criteria": "<string>",
"interview_context_for_employee": "<string>",
"interview_type": "<string>",
"welcome_screen": "<string>",
"closing_message": "<string>",
"folder": "<string>",
"recurring_interval": "<string>",
"contact_count": 0,
"completed_count": 0,
"scheduled_count": 0
},
"scheduled_count": 123,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interviews
Start Interview
Start an interview campaign with autonomous scheduling.
For Google Meet interviews, this will:
- Validate interview configuration
- Mark the interview as active
- Sort contacts by seniority/order preference
- Create Google Calendar events with Meet links
- Schedule CONDUCT_INTERVIEW jobs for each contact
Requires:
- Google Calendar connection for the workspace
- At least one contact with an email address
- At least one question set with questions
POST
/
v1
/
interviews
/
{interview_id}
/
start
Start Interview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Was this page helpful?
⌘I